> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/collect-information/collect-beneficiary-bank-details.md).

# Collect Beneficiary Bank Details

The API facilitates gathering beneficiary Bank Details by creating a self-generated URL (secure link).

<mark style="color:blue;">**`GET`**</mark> /payments/beneficiaries/{id}/collect

**Body Parameters Request**

| Name         | location      | Type   | Format / Values      | Description                                                  | Required |
| ------------ | ------------- | ------ | -------------------- | ------------------------------------------------------------ | -------- |
| id           | Url Path      | string |                      | id of beneficiary to edit, if does not exist will be created | Yes      |
| country      | Url parameter | string | /^\[A-Z]{2}$/        | 2 letter ISO country code                                    |          |
| currency     | Url parameter | string | /^\[A-Z]{3}$/        | 3 letter ISO currency code                                   |          |
| entity\_type | Url parameter | string | INDIVIDUAL, BUSINESS |                                                              |          |

**Body Parameters -** **Response**

| Name         | Type   | Format / Values      | Description                      |
| ------------ | ------ | -------------------- | -------------------------------- |
| id           | string |                      | Beneficiary id                   |
| country      | string | /^\[A-Z]{2}$/        | 2 letter ISO country code        |
| currency     | string | /^\[A-Z]{3}$/        | 3 letter ISO currency code       |
| entity\_type | string | INDIVIDUAL, BUSINESS |                                  |
| expires      | string | date-time            | time when this link will expire  |
| url          | string |                      | the link to redirect the user to |

**Request** **Example**

```json
GET /payments/beneficiaries/30/collect
```

**Response Examples**

{% tabs %}
{% tab title="Status: 200 - OK" %}

```json
{
   "id": "30",
   "url": "https://api.papayaglobal.com/payments/public/beneficiary?token=eyJjdHkiOiJqc29uIiwiYWxnIjoiSFM1MTIifQ.eyJvd25lciI6eyJpZCI6ImRlbW86c3RhbmRhbG9uZToxNzA5NjQ1OTAyIn0sImNvbnRhY3QiOiIzMCIsImNvdW50cnkiOiJJTCIsImN1cnJlbmN5IjoiSUxTIiwiZW50aXR5X3R5cGUiOiJJTkRJVklEVUFMIiwiaWF0IjoxNzA5Njc2ODYzLCJleHAiOjE3MDk2Nzc3NjN9.UL5yH4Qikz-7Y0Q_8-CrhodquBWdh0xxdW7W73z3NAmefwkbSV0UX4PI3LAxUWsFpSKb7QfreDvobItCkYysqg",
   "expires": "2024-03-05T22:29:23.033446124Z",
   "country": "IL",
   "currency": "ILS",
   "entity_type": "INDIVIDUAL"
}
```

{% endtab %}

{% tab title="404 - Not Found" %}

```json
```

{% endtab %}
{% endtabs %}
